
Redmine - Defect #4728

Bugs in Version sharing

2010-02-03 17:44 - Maxim Krušina

Status: Closed Start date: 2010-02-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

closed versions are still listed in Target version field, when adding/editing ticket

shared versions are visible in subproject's Settings/Verions, but aren't listed in Target version field, when adding/editing ticket

Redmine 0.9.1.devel.3360 (MySQL)

Any ideas / help?

History

#1 - 2010-02-10 15:53 - Anonymous

Another:

System Issues - common for all projects - are displayed as "<Project_where_admin_added_global_version> - <version_id>". Should be rather "Global

- <version_id>" or "System - <version_id>". Patch against 0.9.2 attached.

root@redmine:/opt/data/redmine# diff -u app/helpers/application_helper.rb.o  app/helpers/application_helper.rb

--- app/helpers/application_helper.rb.o    2010-02-10 15:47:34.000000000 +0100

+++ app/helpers/application_helper.rb    2010-02-10 15:51:34.000000000 +0100

@@ -138,7 +138,9 @@

   end

   def format_version_name(version)

-    if version.project == @project

+    if version.sharing == 'system'

+        h("Global - #{version}")

+    elsif version.project == @project

         h(version)

     else

       h("#{version.project} - #{version}")

#2 - 2010-02-10 18:27 - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

shared versions are visible in subproject's Settings/Verions, but aren't listed in Target version field, when adding/editing ticket

 This is (at least in my own case) caused by bad interaction with redmine_subtasks plugin which overwrites whole issue_form. Following 2 line patch

corrects the bahviour, but leaves doubts about other problems with redmine_subtask plugin.

--- redmine-0.9.2-copy/vendor/plugins/redmine_subtasks/app/views/issues/_form.rhtml    2010-02-09 16:50:32.000

000000 +0100

+++ redmine/vendor/plugins/redmine_subtasks/app/views/issues/_form.rhtml    2010-02-10 18:35:21.000000000 +010

0

@@ -34,8 +34,8 @@

                      :class => 'small', :tabindex => 199) if authorize_for('projects', 'add_issue_category') 

%></p>

 <% end %>

 <%= content_tag('p', f.select(:fixed_version_id, 

-                              (@project.versions.sort.collect {|v| [v.name, v.id]}),
-                              { :include_blank => true })) unless @project.versions.empty? %>

+                              (@project.shared_versions.open.sort.collect {|v| [v.name, v.id]}),

+                              { :include_blank => true })) unless @project.shared_versions.open.empty? %>

 </div>

 <div class="splitcontentright">

#3 - 2010-02-11 10:56 - Maxim Krušina

So it's bug in subtasking plugin?

If so, we have to disable it, because we cannot work correctly with versions...

#4 - 2010-02-11 10:59 - Anonymous

Maxim Krušina wrote:

So it's bug in subtasking plugin?

If so, we have to disable it, because we cannot work correctly with versions...

 Yes, if you use the subtask plugin / patch.

But the fix is so trivial - 2 lines. So try to grep your redmine installation "@project.versions.empty" and replace with

"@project.shared_versions.open.empty" and you have both - subtasks and shared versions.

#5 - 2010-02-11 11:50 - Maxim Krušina

ANd this fir is for redmine trunk or for plugin code?

#6 - 2010-02-11 12:29 - Anonymous

Maxim Krušina wrote:

ANd this fir is for redmine trunk or for plugin code?

 I have it running ( and the patch is against ) redmine_subtask PLUGIN - from http://github.com/hron/redmine_subtasks

#7 - 2010-07-13 00:49 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Invalid

This does not apply to Redmine anymore. The subtasks plugin is obsolete with the implementation of #443 in trunk.
